VARKON Version 1.15 1997-10-24

> ## rstr - Function

> Reference to string conversion
> Description
> Converts a reference value to a string of characters with optional formatting.
> Syntax
> rstr(ref, width)

> REF | ref;
> INT | width;

> Principal parameters

> ref | - The value to convert.

> Optional parameters

> width | - Controls the amount of padding. If width is less than the actual space required no padding
> | is performed. If width is larger than the space required the result is padded with blanks.
> | The sign of width controls weather padding is done on the left side (+) or the right side (-).

> Return value
> A STRING of characters.
> Examples
> If ref = #5.2#7 then
> rstr(ref) = "#5.2#7"
> rstr(ref,12) = " #5.2#7"
> rstr(ref,-12) = "#5.2#7 "

VARKON Homepage | Index